#ifndef TCPITEM_H
#define TCPITEM_H

#include "arch/cc.h"
#include "lwip/err.h"
#include "lwip/tcp.h"

namespace mbed {

  class TCPItem {
    public:
      TCPItem() {}
      TCPItem(struct tcp_pcb *pcb) : _pcb(pcb) {}
      
      void abort();
      err_t close();

    protected:
      struct tcp_pcb *_pcb;
  };

};

#endif /* TCPITEM_H */